#
# spec file for package spirv-headers
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 1.2.g13

Name:           spirv-headers
Version:        1.2.g13
Release:        lp150.1.3
Summary:        Machine-readable files from the SPIR-V registry
License:        MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/KhronosGroup/SPIRV-Headers

Source:         %name-%version.tar.xz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake >= 2.8
BuildRequires:  fdupes
BuildRequires:  gcc-c++

%description
This repository contains machine-readable files from the SPIR-V
registry. This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file.

%prep
%setup -q

%build
# Because Khronos does not know what DESTDIR is.
%cmake -DCMAKE_INSTALL_PREFIX="%buildroot/%_prefix"
make %{?_smp_mflags}

%install
pushd build/
make install-headers
popd
%fdupes %buildroot/%_prefix

%files
%defattr(-,root,root)
%_includedir/spirv/
%doc LICENSE

%changelog
* Fri Nov 17 2017 jengelh@inai.de
- Update to new snapshot 1.2.g13
  * Add new Intel token reservations, new tokens for
    SPV_AMD_shader_fragment_mask, and new tokens for
    SPV_AMD_shader_fragment_mask.
  * Update all headers for SPV_EXT_shader_stencil_export.
  * Add SPV_EXT_shader_viewport_index_layer.
* Mon Aug  7 2017 jengelh@inai.de
- Update to new snapshot 1.1.g46
  * Reserve number 16 for the Mesa-IR/SPIR-V Translator.
* Tue Jul 18 2017 jengelh@inai.de
- Update to new snapshot 1.1.g44
  * reserve SPIR-V enum block for upcoming Intel extension
  * Add version 1.2 headers, update 1.1 headers to revision 7,
    update 1.0 headers to revision 11.
  * Synchronize OpenCL extended instruction set header with spec,
    and add missing capability use to the JSON grammar.
  * Update JSON grammar files for 16-bit storage.
* Mon Feb 20 2017 jengelh@inai.de
- Update to new snapshot 1.1.g31
  * New revisions of SPIR-V 1.0 and 1.1, and both extended
    instruction sets.
* Thu Feb  2 2017 jengelh@inai.de
- Update to new snapshot 1.1.g29
  * Add "Shaderc over Glslang" as a front end.
  * Update to Rev. 8 of 1.0 and Rev. 4 of 1.1. Includes enums for
    SPV_KHR_shader_draw_parameters.
  * Add SPV_KHR_shader_ballot enumerants.
* Sun Jun 12 2016 jengelh@inai.de
- Initial package (version 1.1.g15) for build.opensuse.org
